<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>CommandContext (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CommandContext (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/minecraft/util/commands/CommandAlias.html" title="annotation in com.sk89q.minecraft.util.commands"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/minecraft/util/commands/CommandContext.html" target="_top">Frames</a></li>
<li><a href="CommandContext.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.minecraft.util.commands</div>
<h2 title="Class CommandContext" class="title">Class CommandContext</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.minecraft.util.commands.CommandContext</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">CommandContext</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.util.Set&lt;java.lang.Character&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#booleanFlags">booleanFlags</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#command">command</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../com/sk89q/minecraft/util/commands/CommandLocals.html" title="class in com.sk89q.minecraft.util.commands">CommandLocals</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#locals">locals</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.List&lt;java.lang.Integer&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#originalArgIndices">originalArgIndices</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#originalArgs">originalArgs</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#parsedArgs">parsedArgs</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../com/sk89q/minecraft/util/commands/SuggestionContext.html" title="class in com.sk89q.minecraft.util.commands">SuggestionContext</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#suggestionContext">suggestionContext</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.Map&lt;java.lang.Character,java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#valueFlags">valueFlags</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#CommandContext-java.lang.String-">CommandContext</a></span>(java.lang.String&nbsp;args)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#CommandContext-java.lang.String:A-">CommandContext</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#CommandContext-java.lang.String:A-java.util.Set-">CommandContext</a></span>(java.lang.String[]&nbsp;args,
              java.util.Set&lt;java.lang.Character&gt;&nbsp;valueFlags)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#CommandContext-java.lang.String:A-java.util.Set-boolean-com.sk89q.minecraft.util.commands.CommandLocals-">CommandContext</a></span>(java.lang.String[]&nbsp;args,
              java.util.Set&lt;java.lang.Character&gt;&nbsp;valueFlags,
              boolean&nbsp;allowHangingFlag,
              <a href="../../../../../com/sk89q/minecraft/util/commands/CommandLocals.html" title="class in com.sk89q.minecraft.util.commands">CommandLocals</a>&nbsp;locals)</code>
<div class="block">Parse the given array of arguments.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#CommandContext-java.lang.String:A-java.util.Set-boolean-com.sk89q.minecraft.util.commands.CommandLocals-boolean-">CommandContext</a></span>(java.lang.String[]&nbsp;args,
              java.util.Set&lt;java.lang.Character&gt;&nbsp;valueFlags,
              boolean&nbsp;allowHangingFlag,
              <a href="../../../../../com/sk89q/minecraft/util/commands/CommandLocals.html" title="class in com.sk89q.minecraft.util.commands">CommandLocals</a>&nbsp;locals,
              boolean&nbsp;parseFlags)</code>
<div class="block">Parse the given array of arguments.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#CommandContext-java.lang.String-java.util.Set-">CommandContext</a></span>(java.lang.String&nbsp;args,
              java.util.Set&lt;java.lang.Character&gt;&nbsp;valueFlags)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#CommandContext-java.lang.String-java.util.Set-boolean-">CommandContext</a></span>(java.lang.String&nbsp;args,
              java.util.Set&lt;java.lang.Character&gt;&nbsp;valueFlags,
              boolean&nbsp;allowHangingFlag)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#argsLength--">argsLength</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getCommand--">getCommand</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getDouble-int-">getDouble</a></span>(int&nbsp;index)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getDouble-int-double-">getDouble</a></span>(int&nbsp;index,
         double&nbsp;def)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getFlag-char-">getFlag</a></span>(char&nbsp;ch)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getFlag-char-java.lang.String-">getFlag</a></span>(char&nbsp;ch,
       java.lang.String&nbsp;def)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getFlagDouble-char-">getFlagDouble</a></span>(char&nbsp;ch)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getFlagDouble-char-double-">getFlagDouble</a></span>(char&nbsp;ch,
             double&nbsp;def)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getFlagInteger-char-">getFlagInteger</a></span>(char&nbsp;ch)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getFlagInteger-char-int-">getFlagInteger</a></span>(char&nbsp;ch,
              int&nbsp;def)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.Character&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getFlags--">getFlags</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getInteger-int-">getInteger</a></span>(int&nbsp;index)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getInteger-int-int-">getInteger</a></span>(int&nbsp;index,
          int&nbsp;def)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getJoinedStrings-int-">getJoinedStrings</a></span>(int&nbsp;initialIndex)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/minecraft/util/commands/CommandLocals.html" title="class in com.sk89q.minecraft.util.commands">CommandLocals</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getLocals--">getLocals</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getPaddedSlice-int-int-">getPaddedSlice</a></span>(int&nbsp;index,
              int&nbsp;padding)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getParsedPaddedSlice-int-int-">getParsedPaddedSlice</a></span>(int&nbsp;index,
                    int&nbsp;padding)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getParsedSlice-int-">getParsedSlice</a></span>(int&nbsp;index)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getRemainingString-int-">getRemainingString</a></span>(int&nbsp;start)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getSlice-int-">getSlice</a></span>(int&nbsp;index)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getString-int-">getString</a></span>(int&nbsp;index)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getString-int-int-">getString</a></span>(int&nbsp;start,
         int&nbsp;end)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getString-int-java.lang.String-">getString</a></span>(int&nbsp;index,
         java.lang.String&nbsp;def)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/minecraft/util/commands/SuggestionContext.html" title="class in com.sk89q.minecraft.util.commands">SuggestionContext</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getSuggestionContext--">getSuggestionContext</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.Character,java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#getValueFlags--">getValueFlags</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#hasFlag-char-">hasFlag</a></span>(char&nbsp;ch)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#matches-java.lang.String-">matches</a></span>(java.lang.String&nbsp;command)</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/minecraft/util/commands/CommandContext.html#split-java.lang.String-">split</a></span>(java.lang.String&nbsp;args)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="command">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>command</h4>
<pre>protected final&nbsp;java.lang.String command</pre>
</li>
</ul>
<a name="parsedArgs">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parsedArgs</h4>
<pre>protected final&nbsp;java.util.List&lt;java.lang.String&gt; parsedArgs</pre>
</li>
</ul>
<a name="originalArgIndices">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>originalArgIndices</h4>
<pre>protected final&nbsp;java.util.List&lt;java.lang.Integer&gt; originalArgIndices</pre>
</li>
</ul>
<a name="originalArgs">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>originalArgs</h4>
<pre>protected final&nbsp;java.lang.String[] originalArgs</pre>
</li>
</ul>
<a name="booleanFlags">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>booleanFlags</h4>
<pre>protected final&nbsp;java.util.Set&lt;java.lang.Character&gt; booleanFlags</pre>
</li>
</ul>
<a name="valueFlags">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueFlags</h4>
<pre>protected final&nbsp;java.util.Map&lt;java.lang.Character,java.lang.String&gt; valueFlags</pre>
</li>
</ul>
<a name="suggestionContext">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>suggestionContext</h4>
<pre>protected final&nbsp;<a href="../../../../../com/sk89q/minecraft/util/commands/SuggestionContext.html" title="class in com.sk89q.minecraft.util.commands">SuggestionContext</a> suggestionContext</pre>
</li>
</ul>
<a name="locals">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>locals</h4>
<pre>protected final&nbsp;<a href="../../../../../com/sk89q/minecraft/util/commands/CommandLocals.html" title="class in com.sk89q.minecraft.util.commands">CommandLocals</a> locals</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CommandContext-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CommandContext</h4>
<pre>public&nbsp;CommandContext(java.lang.String&nbsp;args)
               throws <a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands">CommandException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands">CommandException</a></code></dd>
</dl>
</li>
</ul>
<a name="CommandContext-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CommandContext</h4>
<pre>public&nbsp;CommandContext(java.lang.String[]&nbsp;args)
               throws <a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands">CommandException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands">CommandException</a></code></dd>
</dl>
</li>
</ul>
<a name="CommandContext-java.lang.String-java.util.Set-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CommandContext</h4>
<pre>public&nbsp;CommandContext(java.lang.String&nbsp;args,
                      java.util.Set&lt;java.lang.Character&gt;&nbsp;valueFlags)
               throws <a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands">CommandException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands">CommandException</a></code></dd>
</dl>
</li>
</ul>
<a name="CommandContext-java.lang.String-java.util.Set-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CommandContext</h4>
<pre>public&nbsp;CommandContext(java.lang.String&nbsp;args,
                      java.util.Set&lt;java.lang.Character&gt;&nbsp;valueFlags,
                      boolean&nbsp;allowHangingFlag)
               throws <a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands">CommandException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands">CommandException</a></code></dd>
</dl>
</li>
</ul>
<a name="CommandContext-java.lang.String:A-java.util.Set-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CommandContext</h4>
<pre>public&nbsp;CommandContext(java.lang.String[]&nbsp;args,
                      java.util.Set&lt;java.lang.Character&gt;&nbsp;valueFlags)
               throws <a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands">CommandException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands">CommandException</a></code></dd>
</dl>
</li>
</ul>
<a name="CommandContext-java.lang.String:A-java.util.Set-boolean-com.sk89q.minecraft.util.commands.CommandLocals-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CommandContext</h4>
<pre>public&nbsp;CommandContext(java.lang.String[]&nbsp;args,
                      java.util.Set&lt;java.lang.Character&gt;&nbsp;valueFlags,
                      boolean&nbsp;allowHangingFlag,
                      <a href="../../../../../com/sk89q/minecraft/util/commands/CommandLocals.html" title="class in com.sk89q.minecraft.util.commands">CommandLocals</a>&nbsp;locals)
               throws <a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands">CommandException</a></pre>
<div class="block">Parse the given array of arguments.

 <p>Empty arguments are removed from the list of arguments.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - an array with arguments</dd>
<dd><code>valueFlags</code> - a set containing all value flags (pass null to disable value flag parsing)</dd>
<dd><code>allowHangingFlag</code> - true if hanging flags are allowed</dd>
<dd><code>locals</code> - the locals, null to create empty one</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands">CommandException</a></code> - thrown on a parsing error</dd>
</dl>
</li>
</ul>
<a name="CommandContext-java.lang.String:A-java.util.Set-boolean-com.sk89q.minecraft.util.commands.CommandLocals-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CommandContext</h4>
<pre>public&nbsp;CommandContext(java.lang.String[]&nbsp;args,
                      java.util.Set&lt;java.lang.Character&gt;&nbsp;valueFlags,
                      boolean&nbsp;allowHangingFlag,
                      <a href="../../../../../com/sk89q/minecraft/util/commands/CommandLocals.html" title="class in com.sk89q.minecraft.util.commands">CommandLocals</a>&nbsp;locals,
                      boolean&nbsp;parseFlags)
               throws <a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands">CommandException</a></pre>
<div class="block">Parse the given array of arguments.

 <p>Empty arguments are removed from the list of arguments.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - an array with arguments</dd>
<dd><code>valueFlags</code> - a set containing all value flags (pass null to disable value flag parsing)</dd>
<dd><code>allowHangingFlag</code> - true if hanging flags are allowed</dd>
<dd><code>locals</code> - the locals, null to create empty one</dd>
<dd><code>parseFlags</code> - where to parse flags</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands">CommandException</a></code> - thrown on a parsing error</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="split-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>split</h4>
<pre>public static&nbsp;java.lang.String[]&nbsp;split(java.lang.String&nbsp;args)</pre>
</li>
</ul>
<a name="getSuggestionContext--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSuggestionContext</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/minecraft/util/commands/SuggestionContext.html" title="class in com.sk89q.minecraft.util.commands">SuggestionContext</a>&nbsp;getSuggestionContext()</pre>
</li>
</ul>
<a name="getCommand--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCommand</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCommand()</pre>
</li>
</ul>
<a name="matches-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>matches</h4>
<pre>public&nbsp;boolean&nbsp;matches(java.lang.String&nbsp;command)</pre>
</li>
</ul>
<a name="getString-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getString</h4>
<pre>public&nbsp;java.lang.String&nbsp;getString(int&nbsp;index)</pre>
</li>
</ul>
<a name="getString-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getString</h4>
<pre>public&nbsp;java.lang.String&nbsp;getString(int&nbsp;index,
                                  java.lang.String&nbsp;def)</pre>
</li>
</ul>
<a name="getJoinedStrings-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJoinedStrings</h4>
<pre>public&nbsp;java.lang.String&nbsp;getJoinedStrings(int&nbsp;initialIndex)</pre>
</li>
</ul>
<a name="getRemainingString-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRemainingString</h4>
<pre>public&nbsp;java.lang.String&nbsp;getRemainingString(int&nbsp;start)</pre>
</li>
</ul>
<a name="getString-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getString</h4>
<pre>public&nbsp;java.lang.String&nbsp;getString(int&nbsp;start,
                                  int&nbsp;end)</pre>
</li>
</ul>
<a name="getInteger-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInteger</h4>
<pre>public&nbsp;int&nbsp;getInteger(int&nbsp;index)
               throws java.lang.NumberFormatException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NumberFormatException</code></dd>
</dl>
</li>
</ul>
<a name="getInteger-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInteger</h4>
<pre>public&nbsp;int&nbsp;getInteger(int&nbsp;index,
                      int&nbsp;def)
               throws java.lang.NumberFormatException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NumberFormatException</code></dd>
</dl>
</li>
</ul>
<a name="getDouble-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDouble</h4>
<pre>public&nbsp;double&nbsp;getDouble(int&nbsp;index)
                 throws java.lang.NumberFormatException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NumberFormatException</code></dd>
</dl>
</li>
</ul>
<a name="getDouble-int-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDouble</h4>
<pre>public&nbsp;double&nbsp;getDouble(int&nbsp;index,
                        double&nbsp;def)
                 throws java.lang.NumberFormatException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NumberFormatException</code></dd>
</dl>
</li>
</ul>
<a name="getSlice-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSlice</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;getSlice(int&nbsp;index)</pre>
</li>
</ul>
<a name="getPaddedSlice-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPaddedSlice</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;getPaddedSlice(int&nbsp;index,
                                         int&nbsp;padding)</pre>
</li>
</ul>
<a name="getParsedSlice-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParsedSlice</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;getParsedSlice(int&nbsp;index)</pre>
</li>
</ul>
<a name="getParsedPaddedSlice-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParsedPaddedSlice</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;getParsedPaddedSlice(int&nbsp;index,
                                               int&nbsp;padding)</pre>
</li>
</ul>
<a name="hasFlag-char-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasFlag</h4>
<pre>public&nbsp;boolean&nbsp;hasFlag(char&nbsp;ch)</pre>
</li>
</ul>
<a name="getFlags--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFlags</h4>
<pre>public&nbsp;java.util.Set&lt;java.lang.Character&gt;&nbsp;getFlags()</pre>
</li>
</ul>
<a name="getValueFlags--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValueFlags</h4>
<pre>public&nbsp;java.util.Map&lt;java.lang.Character,java.lang.String&gt;&nbsp;getValueFlags()</pre>
</li>
</ul>
<a name="getFlag-char-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFlag</h4>
<pre>public&nbsp;java.lang.String&nbsp;getFlag(char&nbsp;ch)</pre>
</li>
</ul>
<a name="getFlag-char-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFlag</h4>
<pre>public&nbsp;java.lang.String&nbsp;getFlag(char&nbsp;ch,
                                java.lang.String&nbsp;def)</pre>
</li>
</ul>
<a name="getFlagInteger-char-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFlagInteger</h4>
<pre>public&nbsp;int&nbsp;getFlagInteger(char&nbsp;ch)
                   throws java.lang.NumberFormatException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NumberFormatException</code></dd>
</dl>
</li>
</ul>
<a name="getFlagInteger-char-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFlagInteger</h4>
<pre>public&nbsp;int&nbsp;getFlagInteger(char&nbsp;ch,
                          int&nbsp;def)
                   throws java.lang.NumberFormatException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NumberFormatException</code></dd>
</dl>
</li>
</ul>
<a name="getFlagDouble-char-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFlagDouble</h4>
<pre>public&nbsp;double&nbsp;getFlagDouble(char&nbsp;ch)
                     throws java.lang.NumberFormatException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NumberFormatException</code></dd>
</dl>
</li>
</ul>
<a name="getFlagDouble-char-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFlagDouble</h4>
<pre>public&nbsp;double&nbsp;getFlagDouble(char&nbsp;ch,
                            double&nbsp;def)
                     throws java.lang.NumberFormatException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NumberFormatException</code></dd>
</dl>
</li>
</ul>
<a name="argsLength--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>argsLength</h4>
<pre>public&nbsp;int&nbsp;argsLength()</pre>
</li>
</ul>
<a name="getLocals--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getLocals</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/minecraft/util/commands/CommandLocals.html" title="class in com.sk89q.minecraft.util.commands">CommandLocals</a>&nbsp;getLocals()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/minecraft/util/commands/CommandAlias.html" title="annotation in com.sk89q.minecraft.util.commands"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/minecraft/util/commands/CommandException.html" title="class in com.sk89q.minecraft.util.commands"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/minecraft/util/commands/CommandContext.html" target="_top">Frames</a></li>
<li><a href="CommandContext.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
